#
# spec file for package lxqt-globalkeys
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           lxqt-globalkeys
Version:        0.11.1
Release:        0
Summary:        Global keyboard shortcuts registration
License:        LGPL-2.1+
Group:          System/GUI/LXQt
Url:            http://www.lxqt.org
Source:         http://downloads.lxqt.org/lxqt/%{version}/%{name}-%{version}.tar.xz
Source1:        http://downloads.lxqt.org/lxqt/%{version}/%{name}-%{version}.tar.xz.asc
Source2:        %{name}.keyring
BuildRequires:  cmake >= 3.0.2
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  lxqt-build-tools-devel
BuildRequires:  cmake(KF5WindowSystem)
BuildRequires:  pkgconfig(Qt5UiTools)
BuildRequires:  pkgconfig(lxqt) >= %{version}
Requires(pre):	desktop-file-utils
Requires(post):	desktop-file-utils
Obsoletes:      lxqt-globalkeys-qt5 < %{version}
Provides:       lxqt-globalkeys-qt5 = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Daemon and library for global keyboard shortcuts registration

%package devel
Summary:        Development files for lxqt-globalkeys
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}
Requires:       liblxqt-globalkeys-ui0 = %{version}
Requires:       liblxqt-globalkeys0 = %{version}
Requires:       pkgconfig

%description devel
Development files for lxqt-globalkeys including headers and libraries

%package -n liblxqt-globalkeys0
Summary:        Lxqt-globalkeys libraries
Group:          System/Libraries

%description -n liblxqt-globalkeys0
lxqt-globalkeys main system library

%package -n liblxqt-globalkeys-ui0
Summary:        UI lxqt-globalkeys libraries
Group:          System/Libraries
Recommends:     %{name}-lang

%description -n liblxqt-globalkeys-ui0
UI system libraries for lxqt-globalkeys

%prep
%setup -q
# Changing LXQt into X-LXQt in desktop files to be freedesktop compliant and shut rpmlint warnings
#find -name '*desktop.in*' -exec sed -ri 's/(LXQt;)/X-\1/' {} +

%build
%cmake -DPULL_TRANSLATIONS=No
make %{?_smp_mflags}

%install
%cmake_install
%fdupes -s %{buildroot}

%post
%desktop_database_post

%postun
%desktop_database_postun

%post -n liblxqt-globalkeys0 -p /sbin/ldconfig

%postun -n liblxqt-globalkeys0 -p /sbin/ldconfig

%post -n liblxqt-globalkeys-ui0 -p /sbin/ldconfig

%postun -n liblxqt-globalkeys-ui0 -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS LICENSE
%{_bindir}/lxqt-globalkeysd
%{_bindir}/lxqt-config-globalkeyshortcuts
%{_datadir}/applications/lxqt-config-globalkeyshortcuts.desktop

%files devel
%defattr (-,root,root)
%{_includedir}/%{name}
%{_includedir}/lxqt-globalkeys-ui
%{_libdir}/pkgconfig/*.pc
%{_libdir}/liblxqt-globalkeys.so
%{_libdir}/liblxqt-globalkeys-ui.so
%dir %{_datadir}/cmake/lxqt-globalkeys
%dir %{_datadir}/cmake/lxqt-globalkeys-ui
%{_datadir}/cmake/lxqt-globalkeys/*
%{_datadir}/cmake/lxqt-globalkeys-ui/*

%files -n liblxqt-globalkeys0
%defattr(-,root,root)
%{_libdir}/liblxqt-globalkeys.so.*

%files -n liblxqt-globalkeys-ui0
%defattr(-,root,root)
%{_libdir}/liblxqt-globalkeys-ui.so.*

%changelog
